/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.activiti.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.Construction;
import com.jeeplus.modules.sg.managementcenter.project.entity.Project;
import com.jeeplus.modules.sys.entity.Role;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.test.activiti.entity.OALeave;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 施工交底MAPPER接口
 * @author
 * @version 2019-11-08
 */

@MyBatisMapper
public interface ConstructionMapper extends BaseMapper<Construction> {

    int newUpdate(Construction construction);

    User queryPerson(String loginName);

    /**
     * 根据登陆名查询角色
     * */
    List<String> nameFindOffice(String loginName);

    void newSave(Construction construction);

    void updateExamine(Construction construction);

    //根据流程id查询项目的需求提出单位
    String demandUnit(String procInsId);

    //根据流程定义号查询项目需求名称
    String idProjectName(@Param("procInsId") String procInsId);

    Project findNameByInsID(String procInsId);

    String idProjectName2(@Param("procInsId") String procInsId);

    //根据流程定义号查询项目需求名称
    String idProjectName3(@Param("procInsId") String procInsId);

    List<String> insIdByName(String projectName);

    List<String> insIdByName2(String projectName);

    List<String> insIdByName3(String projectName);

    void insertDisclose(Construction construction);

    List<Construction> findDisclosePage(Construction construction);

    //根据用户名查询角色
    List<Role> roleListByName(String name);

    void updateOIPI(Construction construction);
}